Summary: The BSD database library for C (version 1).
Name: db1
Version: 1.85
Release: 16tr
Source: http://www.sleepycat.com/update/%{version}/db.%{version}.tar.gz
Patch0: db.%{version}.patch
Patch1: db.%{version}.s390.patch
Patch2: db.%{version}.nodebug.patch
URL: http://www.sleepycat.com
License: BSD
Group: Trustix Official
PreReq: /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
%ifnarch ia64
Conflicts: glibc < 2.1.90
%endif

%package devel
Summary: Development files for Berkeley DB (version 1) library.
Group: Trustix Official
Prefix: %{_prefix}
Requires: %{name} = %{version}
%ifnarch ia64
Conflicts: glibc-devel < 2.1.90
%endif
%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package should be installed if
compatibility is needed with databases created with the Berkeley DB
version 1. This library used to be part of the glibc package.

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package contains the header files,
libraries, and documentation for building programs which use Berkeley
DB (version 1).

%prep
%setup -q -n db.%{version}
%patch0 -p1 -b .patch
%patch1 -p1 -b .fPIC
%patch2 -p1 -b .nodebug

%build

gzip -9 docs/*.ps
cd PORT/linux
make OORG="$RPM_OPT_FLAGS"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{include/db1,lib,bin}

sed -n '/^\/\*-/,/^ \*\//s/^.\*.\?//p' include/db.h | grep -v '^@.*db\.h' > LICENSE

perl -pi -e 's/<db.h>/<db1\/db.h>/' PORT/include/ndbm.h

cd PORT/linux
sover=`echo libdb.so.* | sed 's/libdb.so.//'`
install -m644 libdb.a			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb1.a
install -m755 libdb.so.$sover		$RPM_BUILD_ROOT/%{_prefix}/lib/libdb1.so.$sover
ln -sf libdb1.so.$sover 		$RPM_BUILD_ROOT/%{_prefix}/lib/libdb1.so
ln -sf libdb1.so.$sover			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb.so.$sover
install -m644 ../include/ndbm.h		$RPM_BUILD_ROOT/%{_prefix}/include/db1/
install -m644 ../../include/db.h	$RPM_BUILD_ROOT/%{_prefix}/include/db1/
install -m644 ../../include/mpool.h	$RPM_BUILD_ROOT/%{_prefix}/include/db1/
install -m755 db_dump185		$RPM_BUILD_ROOT/%{_prefix}/bin/db1_dump185

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE changelog
%{_prefix}/lib/libdb1.so.*
%{_prefix}/lib/libdb.so.*
%{_prefix}/bin/db1_dump185

%files devel
%defattr(-,root,root)
%doc docs/*.ps.gz
%{_prefix}/include/db1
%{_prefix}/lib/libdb1.a
%{_prefix}/lib/libdb1.so

%changelog
* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.85-14tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.85-13tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.85-12em
- Rebuilt against glibc 2.3.2.

* Wed Feb 19 2003 Erlend Midttun <erlendbm at trustix dot com> 1.85-11em
- Fixed package Group take II.

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> 1.85-10th
- Fixed package Group

* Mon Dec  9 2002 Erlend Midttun <erlendbm at trustix dot com> 1.85-9em
- Fixed package Group.

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com> 1.85-8
- install db1_dump185 without -s, rely on brp-* instead.

* Thu Aug 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- build without -g

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use -fPIC on s390x as it is faster than -fpic
  patch from Oliver Paukstadt <oliver.paukstadt@millenux.com>

* Fri Oct  6 2000 Jeff Johnson <jbj@redhat.com>
- use <db1/db.h> if including <db1/ndbm.h> (#18292).

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- fix ia64 conflicts

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Sun Aug  6 2000 Jeff Johnson <jbj@redhat.com>
- remove "strip -R comment" from spec file, rely on brp-* instead.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun May 28 2000 Jeff Johnson <jbj@redhat.com>
- rename db_dump185 to db1_dump185 to avoid file conflict with db3.

* Thu Apr 20 2000 Jakub Jelinek <jakub@redhat.com>
- Include db_dump185 program from db2 here (as it is linked
  against this shared library).

* Wed Apr 19 2000 Jakub Jelinek <jakub@redhat.com>
- Create.
